﻿var path = require('path');
var modelConfigs = require('./modelConfigs');

var md = module.exports = {};

md.artifact_FinalSingle = {
    name: 'artifact_FinalSingle',
    options: { dotgExtensionPrefix: false },
    model: modelConfigs.model_FinalSingle,
    dest: {
        path: path.join(__dirname, 'dest/xml'),
        extension: 'xml'
    }
};

md.artifact_FinalFolder = {
    name: 'artifact_FinalFolder',
    options: { dotgExtensionPrefix: false },
    model: modelConfigs.model_FinalFolder,
    dest: {
        path: path.join(__dirname, 'dest/xml'),
        extension: 'xml'
    }
};

md.artifact_SwigSingle = {
    name: 'artifact_SwigSingle',
    options: { dotgExtensionPrefix: false },
    model: modelConfigs.model_SwigSingle
    , gen: {
        generator: 'swig'
    }
    , dest: {
        path: path.join(__dirname, 'dest/xml'),
        extension: 'xml'
    }
};

md.artifact_SwigFolder = {
    name: 'artifact_SwigFolder',
    options: { dotgExtensionPrefix: false },
    model: modelConfigs.model_SwigFolder
    , gen: {
        generator: 'swig'
    }
    , dest: {
        path: path.join(__dirname, 'dest/xml'),
        extension: 'xml'
    }
};

md.artifact_WizziObjectSingle = {
    name: 'artifact_WizziObjectSingle',
    options: { dotgExtensionPrefix: false },
    model: modelConfigs.model_WizziObjectSingle
    , gen: {
        generator: 'xml/document'
    }
    , dest: {
        path: path.join(__dirname, 'dest/xml'),
        extension: 'xml'
    }
};

md.artifact_WizziObjectFolder = {
    name: 'artifact_WizziObjectFolder',
    options: { dotgExtensionPrefix: false },
    model: modelConfigs.model_WizziObjectFolder
    , gen: {
        generator: 'xml/document'
    }
    , dest: {
        path: path.join(__dirname, 'dest/xml'),
        extension: 'xml'
    }
};

md.artifact_WizziCollectionSingle = {
    name: 'artifact_WizziCollectionSingle',
    options: { dotgExtensionPrefix: false },
    model: modelConfigs.model_WizziCollectionSingle
    , gen: {
        generator: 'xml/document'
    }
    , dest: {
        path: path.join(__dirname, 'dest/xml'),
        extension: 'xml'
    }
};
